Bug 60134 - Install fails on SW Raid
Install fails on SW Raid
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
i386 Linux
high Severity high
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
Depends On:
Blocks: 60136
  Show dependency treegraph
Reported: 2002-02-20 13:29 EST by Michael McLagan
Modified: 2006-02-21 13:48 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-21 13:48:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michael McLagan 2002-02-20 13:29:04 EST
Description of Problem:

P233, 2 9G seagates, Tekram SCSI.  Standard RH install (text mode) from ISO image
Configure drives with 16M, 8537M, 128M partitions, type 83, fd, 82.  Combine sda2 & sdb2
into md0 and mount as /.  Mount sda1 as /boot0 and sdb1 as /boot1.  Complete install
and reboot.  System does not recognise installed lilo, ie no LILO prompt or RH graphic.

Version-Release number of selected component (if applicable):

How Reproducible:

I have not tried.

Steps to Reproduce:

Actual Results:

System failed to boot.

Expected Results:

Boot to X login

Additional Information:
Comment 1 Jeremy Katz 2002-02-20 14:04:56 EST
Did you install the bootloader to the MBR or the boot partition?  Did you select
LILO or GRUB?  Did you previously have a Linux installation; if so, did you
install the bootloader to the same location?
Comment 2 Michael McLagan 2002-02-20 15:17:45 EST
I installed LILO and I wasn't asked where I wanted to store the boot record.
It appears that the partition was selected (/dev/md0).  It is likely that there was
no boot record on /dev/sda which caused the problem.

Both drives were virgin, low level formatted drives.
Comment 3 Jeremy Katz 2002-02-25 12:21:00 EST
In this situation, you should have gotten something like the following on the
boot loader screen (excuse my bad ascii art :)

o Use GRUB
* Use LILO
o No boot loader

Install bootloader to
* /dev/sda MBR
o /dev/sda1 First sector of boot partition

And then some other stuff that's less important.  If you installed to /dev/sda1
instead of /dev/sda and the drive didn't have the usual DOS bootloader magic to
boot the active partition, then it obviously won't boot.  The default is
/dev/sda, which assuming your BIOS is properly booting from the SCSI hard drive
should work.  Assuming you have no IDE drives on this system in addition to the
SCSI ones mentioned, of course.
Comment 4 Michael Fulbright 2002-04-10 14:22:25 EDT
Closing due to inactivity, please reopen if you contine to have problems.
Comment 5 Red Hat Bugzilla 2006-02-21 13:48:30 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.